NL(1)

NAZWA
nl - ponumeruj linie plików

SKŁADNIA

nl  [-h styl] [-b styl] [-f styl] [-p] [-d zz]
    [-v numer-pocz] [-i przyrost] [-l linie]
    [-s separator-linii] [-w numer] [-n format]
    [--header-numbering=styl] [--body-numbering=styl]
    [--footer-numbering=styl] [--first-page=numer]
    [--page-increment=numer] [--join-blank-lines=numer]
    [--no-renumber] [--number-separator=łańcuch]
    [--number-width=numer] [--number-format=format]
    [--section-delimiter=zz] [--help] [--version]
    [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo nl
lub
    info nl.

Ta strona podręcznika opisuje polecenie nl w wersji GNU.

nl kopiuje na standardowe wyjście każdy podany plik, lub standardowe wejście jeśli nie podano żadnego lub podano plik zwany '-', dodając do wszystkich lub niektórych linii ich numery.

nl traktuje swoje wejście jako złożone ze stron logicznych; domyślnie, numer linii jest zmieniany na 1 na górze każdej strony logicznej. nl traktuje wszystkie pliki wejściowe jako pojedynczy dokument; nie zmienia on numerów linii ani stron logicznych między plikami.

Strona logiczna składa się trzech sekcji: nagłówka, treści i stopki. Każda z tych sekcji może być pusta. Każdą można ponumerować w stylu innym od pozostałych.

Początki sekcji stron logicznych są zaznaczone w pliku wejściowym przez linię zawierającą niczego poza jednym z łańcuchów ograniczających pokazanych poniżej:

\:\:\: początek nagłówka
\:\: początek treści
\: początek stopki

Owe dwa znaki, z których składają się te łańcuchy można zmienić opcją (patrz niżej), ale wzoru i długości każdego z nich zmienić nie można.

Łańcuchy ograniczające sekcję są zastępowane w wyjściu pustą linią. Wszelki tekst występujący przed pierwszym łańcuchem ograniczającym sekcję w pliku wejściowym jest uważany za część sekcji treści, tak więc plik, który nie zawiera żadnych łańcuchów ograniczających sekcje jest uważany za składający się z pojedynczej sekcji treści.

OPCJE

-h, --header-numbering=styl
    Styl nagłówka. Patrz --footer-numbering.

-b, --body-numbering=styl
    Styl treści. Patrz --footer-numbering.

-f, --footer-numbering=styl
    Wybiera styl numerowania linii w sekcji stopki każdej strony logicznej. Kiedy linia nie jest numerowana, bieżący jej numer nie jest zwiększany, ale znak oddzielający numery jest nadal przed nią wstawiany. Style to:

    a   numeruje wszystkie linie

    t   numeruje tylko linie niepuste (domyślnie w treści)

    n   nie numeruje żadnych linii (domyślnie w nagłówku i stopce)

    pregexp
        numeruje tylko linie zawierające coś pasującego do regexp

-p, --no-renumber
    Nie zaczyna numerów linii od nowa na początku strony logicznej.

-v, --first-page=numer
    Ustawia początkowy numer linii na każdej stronie logicznej na numer (domyślnie 1).

-i, --page-increment=liczba
    Zwiększa numery linii o liczba (domyślnie 1).

-l, --join-blank-lines=numer
    Uważa przy numerowaniu liczba (domyślnie 1) kolejnych linii pustych za jedną linię logiczną, i numeruje tylko ostatnią z nich. Tam gdzie występuje mniej niż liczba kolejnych linii pustych, nie numeruje ich. Pusta linia to taka, która nie zawiera żadnych znaków, nawet spacji czy tabulacji.

-s, --number-separator=łańcuch
    Oddziela w wyjściu numer linii od tekstu linii używając łańcucha (domyślnie znak tabulacji).

-w, --number-width=liczba
    Używa liczba znaków dla numerów linii (domyślnie 6).

-n, --number-format=format
    Wybiera format numerowania linii:

    ln  wyrównane do lewej, bez początkowych zer

    rn  wyrównane do prawej, bez początkowych zer (domyślnie)

    rz  wyrównane do prawej, początkowe zera

-d, --section-delimiter=zz
    Ustawia dwa znaki ogranicznika, które oznaczają początki sekcji strony logicznej -- domyślnie ''. Jeśli podano tylko jeden, drugim pozostaje ':'. (Pamiętaj o ochronie '\' lub innych znaków przed interpretacją przez powłokę. Użyj cytowania lub dodatkowych odwrotnych ukośników. Aby wprowadzić '\', należy użyć '\\').

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
cat(1), tac(1), od(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.